/* file: implicit_als_train_dense_default_batch_fpt_cpu.cpp */
/*******************************************************************************
* Copyright 2014-2021 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

/*
//++
//  Implementation of implicit ALS training functions for default CSR method.
//--
*/

#include "src/algorithms/implicit_als/implicit_als_train_kernel.h"
#include "src/algorithms/implicit_als/implicit_als_train_dense_default_batch_aux.i"
#include "src/algorithms/implicit_als/implicit_als_train_dense_default_batch_impl.i"
#include "src/algorithms/implicit_als/implicit_als_train_container.h"

namespace daal
{
namespace algorithms
{
namespace implicit_als
{
namespace training
{
namespace interface1
{
template class BatchContainer<DAAL_FPTYPE, defaultDense, DAAL_CPU>;
}
namespace internal
{
template class ImplicitALSTrainBatchKernel<DAAL_FPTYPE, defaultDense, DAAL_CPU>;
}
} // namespace training
} // namespace implicit_als
} // namespace algorithms
} // namespace daal
