/* file: logitboost_predict_dense_default_fpt_cpu_v1.cpp */
/*******************************************************************************
* Copyright 2014-2021 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

/*
//++
//  Implementation of prediction stage of Logit Boost algorithm.
//--
*/

#include "src/algorithms/logitboost/inner/logitboost_predict_batch_container_v1.h"
#include "src/algorithms/logitboost/inner/logitboost_predict_dense_default_kernel_v1.h"
#include "src/algorithms/logitboost/inner/logitboost_predict_dense_default_impl_v1.i"

namespace daal
{
namespace algorithms
{
namespace logitboost
{
namespace prediction
{
namespace interface1
{
template class BatchContainer<DAAL_FPTYPE, defaultDense, DAAL_CPU>;
}
namespace internal
{
template struct I1LogitBoostPredictKernel<defaultDense, DAAL_FPTYPE, DAAL_CPU>;
}
} // namespace prediction
} // namespace logitboost
} // namespace algorithms
} // namespace daal
