/* file: zscore_dense_sum_kernel_fpt_cpu.cpp */
/*******************************************************************************
* Copyright 2014-2021 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

//++
//  Implementation of zscore normalization calculation functions.
//
//--

#include "src/algorithms/normalization/zscore/zscore_base.h"
#include "src/algorithms/normalization/zscore/zscore_dense_sum_kernel.h"
#include "src/algorithms/normalization/zscore/zscore_impl.i"
#include "src/algorithms/normalization/zscore/zscore_dense_sum_impl.i"

namespace daal
{
namespace algorithms
{
namespace normalization
{
namespace zscore
{
namespace internal
{
template class ZScoreKernel<DAAL_FPTYPE, sumDense, DAAL_CPU>;
}

} // namespace zscore
} // namespace normalization
} // namespace algorithms
} // namespace daal
