/* file: initdistributedmasterinput.cpp */
/*******************************************************************************
* Copyright 2014-2021 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>

#include "daal.h"
#include "com_intel_daal_algorithms_kmeans_init_InitDistributedStep2MasterInput.h"

#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES()
using namespace daal::algorithms::kmeans::init;

/*
 * Class:     com_intel_daal_algorithms_kmeans_DistributedStep2MasterInput
 * Method:    cAddInput
 * Signature: (JIJ)I
 */
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_kmeans_init_InitDistributedStep2MasterInput_cAddInput(JNIEnv * env, jobject thisObj,
                                                                                                            jlong inputAddr, jint id,
                                                                                                            jlong partialResultAddr)
{
    jniInput<DistributedStep2MasterInput>::add<DistributedStep2MasterInputId, kmeans::init::PartialResult>(inputAddr, id, partialResultAddr);
}
