/* file: input.cpp */
/*******************************************************************************
* Copyright 2014-2021 Intel Corporation
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#include <jni.h>
#include "pivoted_qr_types.i"

#include "com_intel_daal_algorithms_pivoted_qr_Input.h"

#include "com/intel/daal/common_helpers.h"

USING_COMMON_NAMESPACES()
using namespace daal::algorithms::pivoted_qr;

/*
 * Class:     com_intel_daal_algorithms_pivoted_1qr_Input
 * Method:    cSetInputTable
 * Signature:(JIJ)I
 */
JNIEXPORT void JNICALL Java_com_intel_daal_algorithms_pivoted_1qr_Input_cSetInputTable(JNIEnv * env, jobject thisObj, jlong inputAddr, jint id,
                                                                                       jlong ntAddr)
{
    if (id != data) return;
    jniInput<pivoted_qr::Input>::set<pivoted_qr::InputId, NumericTable>(inputAddr, id, ntAddr);
}

/*
 * Class:     com_intel_daal_algorithms_pivoted_1qr_Input
 * Method:    cGetInputTable
 * Signature: (JI)J
 */
JNIEXPORT jlong JNICALL Java_com_intel_daal_algorithms_pivoted_1qr_Input_cGetInputTable(JNIEnv * env, jobject thisObj, jlong inputAddr, jint id)
{
    if (id != data) return (jlong)0;
    return jniInput<pivoted_qr::Input>::get<pivoted_qr::InputId, NumericTable>(inputAddr, id);
}
